# AbcMatrix3 Class Reference

`#include <AbcMatrix.hpp>`

Collaboration diagram for AbcMatrix3:
[legend]

List of all members.

## Public Member Functions
Useful methods
void | transposeTimes (const AbcSimplex *model, const double *pi, CoinIndexedVector &output) const
| Return `x * -1 * A in `z`.`
void | transposeTimes2 (const AbcSimplex *model, const double *pi, CoinIndexedVector &dj1, const double *piWeight, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
| Updates two arrays for steepest.
Constructors, destructor
| AbcMatrix3 ()
| Default constructor.
| AbcMatrix3 (AbcSimplex *model, const CoinPackedMatrix *columnCopy)
| Constructor from copy.
| ~AbcMatrix3 ()
| Destructor.
Copy method
| AbcMatrix3 (const AbcMatrix3 &)
| The copy constructor.
AbcMatrix3 & | operator= (const AbcMatrix3 &)
Sort methods
void | sortBlocks (const AbcSimplex *model)
| Sort blocks.
void | swapOne (const AbcSimplex *model, const AbcMatrix *matrix, int iColumn)
| Swap one variable.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks.
int | numberColumns_
| Number of columns.
int * | column_
| Column indices and reverse lookup (within block).
CoinBigIndex * | start_
| Starts for odd/long vectors.
int * | row_
| Rows.
double * | element_
| Elements.
blockStruct * | block_
| Blocks (ordinary start at 0 and go to first block).

## Detailed Description

Definition at line 564 of file AbcMatrix.hpp.

## Constructor & Destructor Documentation

AbcMatrix3::AbcMatrix3 | ( |  | ) |

Default constructor.

AbcMatrix3::AbcMatrix3 | ( | AbcSimplex * | model,
|  | const CoinPackedMatrix * | columnCopy |
| ) |  |  |

Constructor from copy.

AbcMatrix3::~AbcMatrix3 | ( |  | ) |

Destructor.

AbcMatrix3::AbcMatrix3 | ( | const AbcMatrix3 & |  | ) |

The copy constructor.

## Member Function Documentation

void AbcMatrix3::transposeTimes | ( | const AbcSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector & | output |
| ) |  |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about AbcSimplex

void AbcMatrix3::transposeTimes2 | ( | const AbcSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector & | dj1,
|  | const double * | piWeight,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor |
| ) |  |  |

Updates two arrays for steepest.

AbcMatrix3& AbcMatrix3::operator= | ( | const AbcMatrix3 & |  | ) |

void AbcMatrix3::sortBlocks | ( | const AbcSimplex * | model | ) |

Sort blocks.

void AbcMatrix3::swapOne | ( | const AbcSimplex * | model,
|  | const AbcMatrix * | matrix,
|  | int | iColumn |
| ) |  |  |

Swap one variable.

## Member Data Documentation

int AbcMatrix3::numberBlocks_`[protected]`

Number of blocks.

Definition at line 617 of file AbcMatrix.hpp.

int AbcMatrix3::numberColumns_`[protected]`

Number of columns.

Definition at line 619 of file AbcMatrix.hpp.

int* AbcMatrix3::column_`[protected]`

Column indices and reverse lookup (within block).

Definition at line 621 of file AbcMatrix.hpp.

CoinBigIndex* AbcMatrix3::start_`[protected]`

Starts for odd/long vectors.

Definition at line 623 of file AbcMatrix.hpp.

int* AbcMatrix3::row_`[protected]`

Rows.

Definition at line 625 of file AbcMatrix.hpp.

double* AbcMatrix3::element_`[protected]`

Elements.

Definition at line 627 of file AbcMatrix.hpp.

blockStruct* AbcMatrix3::block_`[protected]`

Blocks (ordinary start at 0 and go to first block).

Definition at line 629 of file AbcMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.15.11/Clp/src/AbcMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines